# -*- perl -*-

require 5.004;
use strict;
use CPAN;

require ExtUtils::MakeMaker;

my($ok) = 1;
my($recommended) = 0;

my %req_mods = (
		"Time::HiRes" => "1.12",
	        "Date::Calc" => "",
		"File::Tail" => "",
	       );

for my $mod (keys %req_mods) {
  print "Checking for $mod $req_mods{$mod}  ... ";
  $@ = '';
  eval "use $mod $req_mods{$mod} ();";
  if ($@) {
    $ok = 0;
    print("\nYou don't have the $mod module installed.\n");
    print("Would you like to install the module now? ");
    $_ = <>;
    if (/^y$/i or /^yes$/i) {
      my $obj = CPAN::Shell->expand("Module",$mod);
      $obj->install;
    }
  } else {
    print "ok\n";
  }
}

if (!$ok) {
    exit 1;
}


use lib "lib";

ExtUtils::MakeMaker::WriteMakefile(
    'NAME'	   => 'swatch',
    'VERSION_FROM' => 'swatch',
    'EXE_FILES'    => [ 'swatch' ],
    'dist'         => { 'SUFFIX'       => ".gz",
			'DIST_DEFAULT' => 'all tardist',
			'COMPRESS'     => "gzip -9f" },
    'realclean'    => { 'FILES' => 'swatch-*' },
    'clean'        => { 'FILES' => '' },
);


package MY;

sub postamble {
#    my $perl = $^X;
}

sub libscan {
    my($self, $path) = @_;
    if ($path =~ /\~$/) {
	undef;
    } else {
	$path;
    }
}
